Bug 144288 - Show hidden messages does not appear.
Show hidden messages does not appear.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 11:58 EST by Rodney Lancaster
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 07:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodney Lancaster 2005-01-05 11:58:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Evolution running with Connect to and Exchange server.

With any folder that has read mail while in the main window do the
following:

Show -> Hide Read Messages.

Now, once the messages are gone, try to un-hide them.
Clicking on Show does not result in the "Show Read Meassages".  Only
the "Hide Read Messages" is there.

It would help if there is a workaround so I can see the mail I hid.


Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1.In main window choose a folder with mail that has been read.  It
doesn matter if it is local or remote (exchange).
2.Click on "View"
3.Click on "Hide Read Messages".  Read messages disappear as they should.
4. Click again on "View"
5. There is no "Show Read Messages"  only the "Hide Read Messages" is
there.
    

Actual Results:  Read messages disappear from the window.  I have to
use either a browser  to the Exchange server or an Outlook client
(Shudder) to view my messages.  I have no known way to view the hidden
messages that I have stored locally.

Expected Results:  The "Show Read Messages" should have appeared in
the "View" menu and when clicked it should show the read messages in
the list.

Additional info:
Comment 1 Dave Malcolm 2005-01-05 12:07:15 EST
I managed to reproduce this temporarily; however the "Show Hidden
Messages" menu item came back for me after a while (I was switching
between an IMAP and an Exchange mail folder; maybe that fixed it? 
also looks like if it's in the middle of a lengthy "Filtering new
messages" operation it doesn't update the menus until after that's
finished - does that seem to be the case for you?  what does the
status bar show?)
Comment 2 Rodney Lancaster 2005-01-05 13:20:32 EST
Status bar shows nothing.

The "Show Read Messages" is "there" however it is grayed out.

I have waited for extended periods (over an hour) with no change. 
I've actually seen the status line change when it checks for mail but
no change in the window.
Comment 3 Rodney Lancaster 2005-01-18 11:18:39 EST
I just checked some of the other Evolution "bugs" and noticed noticed
that my symptoms for the exchange inbox are similar to bug 139380. 
Yes, I have kept my FC3 updated and it does have libxml2-2.6.16-3
loaded.  This may be related to that issue.  
Comment 6 Matthew Miller 2006-07-10 18:51:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Matthew Barnes 2007-01-02 07:38:29 EST
This seems to be working better on Fedora Core 6.  The View menu always presents
me with:

    Hide Read Messages
    Show Hidden Messages

Both items are always enabled (even after I've already hidden read messages),
and I can hide and show messages at will.

Feel free to re-open this bug if you encounter the same problem in Fedora Core 6
or later.

Note You need to log in before you can comment on or make changes to this bug.